//=============================================================================
// Increases the power of Sentinels and the standard weapons.
// http://mrevil.pwp.blueyonder.co.uk/unreal/
//=============================================================================
class UTMutator_MilSpecSentinels extends UTMutator
	config(Mutator_SentinelGear);

var() float SentinelDamageScaling;

function bool CheckReplacement(Actor Other)
{
	local Sentinel S;
	local SentinelWeapon SWeapon;
	local SentinelProjectile SProjectile;

	SProjectile = SentinelProjectile(Other);

	if(SProjectile != none)
	{
		if(SProjectile.Class == class'SentinelProjectile_Flame')
		{
			SProjectile.Damage = 8;
			SentinelProjectile_Flame(SProjectile).Heat = 2.5;
		}
		else if(SProjectile.Class == class'SentinelProjectile_Grenade')
		{
			SProjectile.DamageRadius = 220;
		}
		else if(SProjectile.Class == class'SentinelProjectile_Pulse')
		{
			SProjectile.Damage = 50;
		}
		else if(SProjectile.Class == class'SentinelProjectile_Pulse_Small')
		{
			SProjectile.Damage = 9;
		}
		else if(SProjectile.Class == class'SentinelProjectile_Rocket')
		{
			SProjectile.MaxSpeed = 2500;
			SProjectile.AccelRate = 3500;
			SentinelProjectile_Rocket(SProjectile).TurnSpeed = 0.8;
		}
	}
	else
	{
		SWeapon = SentinelWeapon(Other);

		if(SWeapon != none)
		{
			if(SWeapon.Class == class'SentinelWeapon_Disturber')
			{
				SentinelWeapon_Disturber(SWeapon).ZapFireInfo.FireInterval = 0.4;
			}
			else if(SWeapon.Class == class'SentinelWeapon_Minigun')
			{
				SWeapon.FireInfo.FireInterval = 0.07;
				SentinelWeapon_Minigun(SWeapon).TracerInterval = 5;
			}
		}
		else
		{
			S = Sentinel(Other);

			if(S != none)
			{
				S.SentinelDamageScaling = SentinelDamageScaling;
			}
		}
	}

	return true;
}

defaultproperties
{
	SentinelDamageScaling=0.5
}